ScriptExtensions (Groovy 5.1.0)

Package: org.codehaus.groovy.jsr223

## [Java] Class ScriptExtensions

- org.codehaus.groovy.jsr223.ScriptExtensions

-     public class ScriptExtensions
      extends Object

  This class defines new Java 6 specific groovy methods which extend the normal JDK classes inside the Groovy environment. Static methods are used with the first parameter the destination class.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Object` | `eval(ScriptEngine self, String script, Binding binding)` Executes the specified script.
    `` | `public static Object` | `eval(ScriptEngine self, Reader reader, Binding binding)` Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Object eval(ScriptEngine self, String script, Binding binding)

      Executes the specified script. The default `ScriptContext` for the `ScriptEngine` is used. Variables from a Groovy `Binding` are made available in the default scope of the `Bindings` of the `ScriptEngine`. Resulting variables in the `Bindings` are returned back to the Groovy `Binding`.

      throws:
        javax.script.ScriptException if error occurs in script
      throws:
        NullPointerException if the argument is null
      Parameters:
        `self` - A ScriptEngine
        `script` - The script language source to be executed
        `binding` - A Groovy binding
      Returns:
        The value returned from the execution of the script (if supported by the Script engine)
      See Also:
        eval(javax.script.ScriptEngine, java.io.Reader, groovy.lang.Binding)
      Since:
        1.7.3

    - #### public static Object eval(ScriptEngine self, Reader reader, Binding binding)

      Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`

      throws:
        javax.script.ScriptException if an error occurs in script
      throws:
        NullPointerException if the argument is null
      Parameters:
        `self` - A ScriptEngine
        `reader` - The source of the script
        `binding` - A Groovy binding
      Returns:
        The value returned by the script
      See Also:
        eval(javax.script.ScriptEngine, java.lang.String, groovy.lang.Binding)
      Since:
        1.7.3